# Uses of Class
org.jmol.modelset.Bond

Packages that use Bond
Package
Description
org.jmol.api
org.jmol.dssx
org.jmol.minimize
org.jmol.minimize.forcefield
org.jmol.modelset
org.jmol.modelsetbio
org.jmol.shape
org.jmol.shapespecial
org.jmol.viewer

## Uses of Bond in org.jmol.api

Method parameters in org.jmol.api with type arguments of type Bond
Modifier and Type
Method
Description
`String`
JmolAnnotationParser.`getHBonds(ModelSet ms, int modelIndex, Lst<Bond> vHBonds, boolean doReport)`

## Uses of Bond in org.jmol.dssx

Method parameters in org.jmol.dssx with type arguments of type Bond
Modifier and Type
Method
Description
`String`
AnnotationParser.`getHBonds(ModelSet ms, int modelIndex, Lst<Bond> vHBonds, boolean doReport)`
`String`
DSSR1.`getHBonds(ModelSet ms, int modelIndex, Lst<Bond> vHBonds, boolean doReport)`

## Uses of Bond in org.jmol.minimize

Fields in org.jmol.minimize declared as Bond
Modifier and Type
Field
Description
`Bond[]`
Minimizer.`bonds`

## Uses of Bond in org.jmol.minimize.forcefield

Methods in org.jmol.minimize.forcefield with parameters of type Bond
Modifier and Type
Method
Description
`float[]`
ForceFieldMMFF.`calculatePartialCharges(Bond[] bonds, int[] bTypes, Atom[] atoms, int[] aTypes, BS bsAtoms, boolean doRound)`
assign partial charges ala MMFF94
`boolean`
ForceFieldMMFF.`setArrays(Atom[] atoms, BS bsAtoms, Bond[] bonds, int rawBondCount, boolean doRound, boolean allowUnknowns)`

## Uses of Bond in org.jmol.modelset

Subclasses of Bond in org.jmol.modelset
Modifier and Type
Class
Description
`class`
`HBond`
Fields in org.jmol.modelset declared as Bond
Modifier and Type
Field
Description
`Bond[]`
BondCollection.`bo`
`Bond[]`
Atom.`bonds`
MAY BE NULL
`protected Bond[][][]`
BondCollection.`freeBonds`
Methods in org.jmol.modelset that return Bond
Modifier and Type
Method
Description
`Bond`
BondCollection.`bondAtoms(Atom atom1, Atom atom2, int order, short mad, BS bsBonds, float energy, boolean addGroup, boolean isNew)`
`protected Bond`
BondCollection.`bondMutually(Atom atom, Atom atomOther, int order, short mad, float energy)`
`Bond`
Atom.`getBond(Atom atomOther)`
`protected Bond`
BondCollection.`getOrAddBond(Atom atom, Atom atomOther, int order, short mad, BS bsBonds, float energy, boolean overrideBonding)`
`Bond`
BondIterator.`next()`
`protected Bond`
BondCollection.`setBond(int index, Bond bond)`
Methods in org.jmol.modelset with parameters of type Bond
Modifier and Type
Method
Description
`protected boolean`
BondCollection.`allowAromaticBond(Bond b)`
`static String`
LabelToken.`formatLabelBond(Viewer vwr, Bond bond, LabelToken[] tokens, Map<String,Object> values, int[] indices, P3 ptTemp)`
`protected Bond`
BondCollection.`setBond(int index, Bond bond)`
Method parameters in org.jmol.modelset with type arguments of type Bond
Modifier and Type
Method
Description
`void`
ModelSet.`calcRasmolHydrogenBonds(BS bsA, BS bsB, Lst<Bond> vHBonds, boolean nucleicOnly, int nMax, boolean dsspIgnoreHydrogens, BS bsHBonds)`
These are not actual hydrogen bonds.

## Uses of Bond in org.jmol.modelsetbio

Method parameters in org.jmol.modelsetbio with type arguments of type Bond
Modifier and Type
Method
Description
`protected static int`
NucleicPolymer.`addHydrogenBond(Lst<Bond> vAtoms, Atom atom1, Atom atom2)`
`void`
BioModelSet.`calcAllRasmolHydrogenBonds(BS bsA, BS bsB, Lst<Bond> vHBonds, boolean nucleicOnly, int nMax, boolean dsspIgnoreHydrogens, BS bsHBonds, int dsspVersion)`
only for base models, not trajectories
`void`
AminoPolymer.`calcRasmolHydrogenBonds(BioPolymer polymer, BS bsA, BS bsB, Lst<Bond> vHBonds, int nMaxPerResidue, int[][][] min, boolean checkDistances, boolean dsspIgnoreHydrogens)`
///////////////////////////////////////////////
`void`
BioPolymer.`calcRasmolHydrogenBonds(BioPolymer polymer, BS bsA, BS bsB, Lst<Bond> vHBonds, int nMaxPerResidue, int[][][] min, boolean checkDistances, boolean dsspIgnoreHydrogens)`
`void`
NucleicPolymer.`calcRasmolHydrogenBonds(BioPolymer polymer, BS bsA, BS bsB, Lst<Bond> vAtoms, int nMaxPerResidue, int[][][] min, boolean checkDistances, boolean dsspIgnoreHydrogens)`

## Uses of Bond in org.jmol.shape

Methods in org.jmol.shape with parameters of type Bond
Modifier and Type
Method
Description
`protected short`
Shape.`getColixB(short colix, int pid, Bond bond)`

## Uses of Bond in org.jmol.shapespecial

Fields in org.jmol.shapespecial declared as Bond
Modifier and Type
Field
Description
`Bond`
Dipole.`bond`

## Uses of Bond in org.jmol.viewer

Methods in org.jmol.viewer with parameters of type Bond
Modifier and Type
Method
Description
`short`
ColorManager.`getColixBondPalette(Bond bond, int pid)`